Bug 234699 - "kobject_add failed" message is displayed
Summary: "kobject_add failed" message is displayed
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-03-31 14:32 UTC by Norihiko Tomiyama
Modified: 2008-02-08 04:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 04:27:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Norihiko Tomiyama 2007-03-31 14:32:57 UTC
When machine shutdown, Kernel Trace message is displayed. 
Not always. I've seen that only once.


Environment:
VMware Server 1.0.2 (Dell SC430/Celeron 2.66GHz/CentOS4.4)
 HDD: lsilogic 4GB
 Memory: 256MB

FC6
 kernel-2.6.20-1.2933.fc6(i686)


Trace is below.
--
kobject_add failed for vcs1 with -EEXIST, don't try to register things with the
same name in the same directory.
[<c04e9143>] kobject_add+0x165/0x18e
[<c04e92fd>] kobject_set_name+0x2b/0x92
[<c0556a3b>] device_add+0x8b/0x49c
[<c0437a42>] init_waitqueue_head+0x12/0x20
[<c0556ed6>] device_create+0x7a/0x9a
[<c053c824>] vcs_make_sysfs+0x34/0x6e
[<c054165b>] con_open+0x6f/0x7c
[<c0538114>] tty_open+0x175/0x2b4
[<c0474750>] chrdev_open+0xf7/0x12b
[<c0474659>] chrdev_open+0x0/0x12b
[<c0470e78>] __dentry_open+0xc3/0x17a
[<c0470fa9>] nameidata_to_filp+0x24/0x33
[<c0470fea>] do_filp_open+0x32/0x39
[<c0464e6c>] do_mmap_pgoff+0x58a/0x6ee
[<c0470dab>] get_unused_fd+0xb3/0xbd
[<c0471033>] do_sys_open+0x42/0xbe
[<c04710e8>] sys_open+0x1c/0x1e
[<c0403f64>] syscall_call+0x7/0xb
=======================
kobject_add failed for vcsa1 with -EEXIST, don't try to register things with the
same name in the same directory.
[<c04e9143>] kobject_add+0x165/0x18e
[<c04e92fd>] kobject_set_name+0x2b/0x92
[<c0556a3b>] device_add+0x8b/0x49c
[<c0437a42>] init_waitqueue_head+0x12/0x20
[<c0556ed6>] device_create+0x7a/0x9a
[<c053c859>] vcs_make_sysfs+0x69/0x6e
[<c054165b>] con_open+0x6f/0x7c
[<c0538114>] tty_open+0x175/0x2b4
[<c0474750>] chrdev_open+0xf7/0x12b
[<c0474659>] chrdev_open+0x0/0x12b
[<c0470e78>] __dentry_open+0xc3/0x17a
[<c0470fa9>] nameidata_to_filp+0x24/0x33
[<c0470fea>] do_filp_open+0x32/0x39
[<c0464e6c>] do_mmap_pgoff+0x58a/0x6ee
[<c0470dab>] get_unused_fd+0xb3/0xbd
[<c0471033>] do_sys_open+0x42/0xbe
[<c04710e8>] sys_open+0x1c/0x1e
[<c0403f64>] syscall_call+0x7/0xb
=======================
--

Comment 1 Jon Stanley 2008-01-08 01:49:28 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 2 Jon Stanley 2008-02-08 04:27:27 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.